// component/bottom/bottom.js
const wx2my = require('../../wx2my');
const Behavior = require('../../Behavior');
var app = getApp();
const wxService = require('../../utils/wxService');
const utils = require('../../utils/util');
const utilLink = require('../../utils/currentLinkRouter')
const envInfo = require('../../config/index').envInfo;

Component({
  /**
   * 组件的属性列表
   */
  data: {
    bottom: {
      type: Object,
      value: {}
    }
  },
  didMount() {
    this.setData({
      baseImgUrl: app.globalData.imageUrl
    });
  },

  /**
   * 组件的初始数据
   */
  data: {
    startX: 0,
    startY: 0,
    isAuthorization: false,
    baseUrl: '#02bb70',
    baseImgUrl: ''
  },
  /**
    * 组件的方法列表
    */
  methods: {
    touchStart(e) {
      this.setData({
        startX: e.changedTouches[0].clientX,
        startY: e.changedTouches[0].clientY
      });
    },

    touchEnd(e) {
      let x = e.changedTouches[0].clientX;
      let y = e.changedTouches[0].clientY; // endX, endY, startX, startY

      const {
        startX,
        startY
      } = this.data;
      let isTouchLeft = utils.getTouchData(x, y, startX, startY); // 触发左划事件

      if (isTouchLeft == 'left') {
        utilLink.currentLinkRouter(e, this)
        // const {
        //   appid,
        //   path,
        //   link,
        //   item
        // } = e.currentTarget.dataset;
        // // 更改数据问题
        // let currentClickType = app.globalData.commonFunc.getLink(item.link.type, item);
        // const userInfo = wx2my.getStorageSync('_baseUserInfo'); // type==1 外部 不用弹 没有登录弹

        // if (link.type == 1) {
        //   // 触发父组件更新页面 外部小程序
        //   this.setData({
        //     isAuthorization: false
        //   });
        //   return false;
        // } else if (!userInfo) {
        //   this.setData({
        //     isAuthorization: true
        //   });
        //   return false;
        // } else if (userInfo && userInfo.member && !userInfo.member.mobile) {
        //   wxService.openCard();
        //   return false;
        // } // wxService.openCard()


        // if (link.type == 2) {
        //   // 触发父组件更新页面
        //   wxService.nextTick(() => {
        //     this.triggerEvent('updatePage', {
        //       pageId: currentClickType.url
        //     });
        //   });
        // } else if (link.type == 3) {
        //   // 预览
        //   wx2my.previewImage({
        //     current: `${app.globalData.imageUrl}/${currentClickType.imageUrl}`,
        //     // 当前显示图片的http链接
        //     urls: [`${app.globalData.imageUrl}/${currentClickType.link.url}`] // 需要预览的图片http链接列表

        //   });
        // } else if (link.type == 4) {
        //   wxService.router(`${currentClickType}`);
        // } else if (link.type == 5) {
        //   if (currentClickType == 1) {
        //     // wxService.openCardList()
        //     wxService.openCard();
        //   } else if (currentClickType == 2) {
        //     wxService.openCard();
        //   }
        // } else if (link.type == 6) {
        //   wxService.router(`${currentClickType}`);
        // }
      }
    }

  }

});